#
# spec file for package gtk-engines (Version 0.12)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db db1 db1-devel diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext gettext-devel giflib giflib-devel glib glib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-libs gnome-libs-devel gpm grep groff gtk gtk-devel gtk2 gtk2-devel gxmhtml gzip icon-naming-utils imlib imlib-devel indent info insserv intltool klogd less libacl libattr libcom_err libdrm libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl orbit orbit-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser perl-XML-Simple permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gtk-engines
BuildRequires:  gdk-pixbuf-devel giflib-devel libpng-devel libtiff-devel xorg-x11
# Needed only for ximian-artwork configure success:
BuildRequires:  glib2-devel gtk2-devel icon-naming-utils intltool
License:        GNU General Public License (GPL)
Group:          System/Libraries
Obsoletes:      gtkeng
Autoreqprov:    on
Summary:        Theme Engines for GTK+
Version:        0.12
Release:        982.4.1
Source0:        ftp://ftp.gnome.org/pub/GNOME/stable/sources/gtk-engines/gtk-engines-%{version}.tar.bz2
Source1:        ColorStep-1.2.x-200005281440.tar.bz2
Source2:        GTKstep-1.2.x-200001110524.tar.bz2
Source3:        Mac2-1.2.x-200003050858.tar.bz2
Source4:        NewPsychicAbilities-1.2.x-200005032052.tar.bz2
Source5:        Xenophilia-1.2.x-200004031853.tar.bz2
Source6:        clean-1.2.x-200006131917.tar.bz2
# http://sourceforge.net/projects/smooth-engine/
Source7:        gtk-smooth-engine-0.6.0.1.tar.bz2
Source8:        ximian-artwork-0.6.1.tar.bz2
Patch:          gtk-engines-ia64.dif
Patch5:         Xenophilia-1.2.x.patch
Patch6:         Xenophilia-lib64.dif
Patch7:         gtk-clean-theme.patch
Patch8:         gtk-Mac2-theme.patch
Patch9:         gtkstep-2.0.patch
Patch10:        newspy.patch
Patch11:        colorstep-0.4.patch
# Fix from gnome-themes
Patch16:        gnome-themes-fortify.patch
URL:            http://gtk.themes.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Part of gnome-themes.
NoSource:       7
NoPatch:        16

%description
This package contains the graphical engines for the various GTK+
toolkit themes.



Authors:
--------
    Federico Mena Quintero  <federico@nuclecu.unam.mx>
    Frank Belew <frb@umr.edu>
    Manish Singh <yosh@gimp.org>
    Miguel de Icaza  <miguel@nuclecu.unam.mx>
    Owen Taylor  <otaylor@redhat.com>
    Raja R Harinath  <harinath@cs.umn.edu>
    The Rasterman <raster@redhat.com>

%prep
%setup -b 1 -b 2 -b 3 -b 4 -b 5 -b 6 -b 7 -b 8
%patch
cd ../Xenophilia*
%patch5
if [ %_lib != lib ]; then
%patch6 -p1
fi
cd ../gtk-clean-theme
%patch7
cd ../gtk-Mac2-theme
%patch8
cd ../gtkstep-2.0
%patch9
cd ../newpsy
%patch10
cd ../colorstep-0.4
%patch11
cd ../ximian-artwork-0.6.1/
%patch16 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
 ./configure --prefix=/opt/gnome --libdir=/opt/gnome/%_lib
make
cd ../Xenophilia*
make
cd ../colorstep*
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake --foreign
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/opt/gnome --libdir=/opt/gnome/%_lib 
make
cd ../gtk-Mac2-theme
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/opt/gnome --libdir=/opt/gnome/%_lib
make
cd ../gtk-clean-theme
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/opt/gnome --libdir=/opt/gnome/%_lib
make
cd ../gtkstep*
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/opt/gnome --libdir=/opt/gnome/%_lib
make
cd ../newpsy
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/opt/gnome --libdir=/opt/gnome/%_lib
make
cd ../gtk-smooth-engine*
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure --prefix=/opt/gnome --libdir=/opt/gnome/%_lib --enable-gtk-1=yes --enable-gtk-2=no
make
cd ../ximian-artwork-0.6.1
cp /usr/share/automake*/mkinstalldirs .
intltoolize --force
srcdir=$PWD autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure  --prefix=/opt/gnome --libdir=/opt/gnome/%_lib\
                --sysconfdir=/etc/opt/gnome \
                --disable-static
cd gtk/gtk1-engine
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
cd ../Xenophilia*
mkdir -p $RPM_BUILD_ROOT/opt/gnome/lib64/gtk/themes/engines
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/themes
make DESTDIR=$RPM_BUILD_ROOT install
cd ../colorstep*
make DESTDIR=$RPM_BUILD_ROOT install
cd ../gtk-Mac2-theme
make DESTDIR=$RPM_BUILD_ROOT install
cd ../gtk-clean-theme
make DESTDIR=$RPM_BUILD_ROOT install
cd ../gtkstep*
make DESTDIR=$RPM_BUILD_ROOT install
cd ../newpsy
make DESTDIR=$RPM_BUILD_ROOT install
cd ../gtk-smooth-engine*
make DESTDIR=$RPM_BUILD_ROOT install
#mkdir -p $RPM_BUILD_ROOT/opt/gnome/share
#mv $RPM_BUILD_ROOT/usr/share/themes $RPM_BUILD_ROOT/opt/gnome/share
# these files are provided by gtk-engines2 
cd ../ximian-artwork-0.6.1/gtk/gtk1-engine
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/opt/gnome/share/themes/Metal/README.html 
rm $RPM_BUILD_ROOT/opt/gnome/share/themes/Redmond95/README.html 
rm $RPM_BUILD_ROOT/opt/gnome/%_lib/gtk/themes/engines/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%docdir %{_defaultdocdir}/%{name}/
/opt/gnome/%_lib/gtk/themes/engines/*
/opt/gnome/share/themes/*

%changelog
* Mon Mar 13 2006 - sbrabec@suse.cz
- Added Industrial engine from gnome-themes.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 23 2005 - gekker@suse.de
- Fix implicit definitions of special functions
- Use $RPM_OPT_FLAGS everywhere
* Thu Jun 16 2005 - sbrabec@suse.cz
- Added gtk-smooth-engine (#71058).
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Sep 18 2003 - hhetter@suse.de
- fix file conflict with gtk-engines2 (#31219)
* Thu Jul 31 2003 - ro@suse.de
- fix installation
* Wed Jul 30 2003 - hhetter@suse.de
- prefix to /opt/gnome
- %%_lib fixes
* Tue Mar 18 2003 - sbrabec@suse.cz
- Install themes to directory required by GTK_DATA_PREFIX (bug #25581).
* Fri Jun 21 2002 - ro@suse.de
- use -fPIC to build shared libs
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Dec 10 2001 - nadvornik@suse.cz
- re-added ColorStep, GTKstep, Mac2, NewPsychicAbilities,
  clean, Xenophilia [bug #6725]
* Wed May 23 2001 - pblaha@suse.cz
- fix include on ia64
* Sat Mar 24 2001 - egger@suse.de
- Updated to version 0.12.
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.11.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Wed Nov 22 2000 - egger@suse.de
- Reworked the package a bit.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Jun 19 2000 - bubnikv@suse.cz
- added a lot of themes from gtk.themes.org
- spec file is rewritten
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Thu Jan 27 2000 - fehr@suse.de
- changed to new version 0.10
* Tue Oct 12 1999 - fehr@suse.de
- changed to new version 0.8
- add a lot of additional themes
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Apr 20 1999 - fehr@suse.de
- changed to new version 0.5
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Wed Feb 17 1999 - ke@suse.de
- New package: version 0.4.
